Page MenuHomePhabricator

ContentTranslation should not assume Parsoid is source of all VRS errors
Closed, ResolvedPublic

Description

Since CX uses VRS, the errors might be from either restbase or parsoid. See T112330.

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterClarify responsibility for Parsoid/RESTBase errors

Event Timeline

cscott created this task.Sep 14 2015, 6:40 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: ContentTranslation.
cscott added a subscriber: cscott.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 14 2015, 6:40 PM

https://gerrit.wikimedia.org/r/237421 is a first step toward this, but there is still some work to do (see post-merge comments on that patch, for instance, and https://gerrit.wikimedia.org/r/238209).

Arrbee assigned this task to santhosh.Sep 15 2015, 7:28 AM
Arrbee set Security to None.

What's the urgency of this?

Amire80 triaged this task as Medium priority.Sep 16 2015, 10:07 AM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.

Change 242928 had a related patch set uploaded (by Cscott):
Clarify responsibility for Parsoid/RESTBase errors

https://gerrit.wikimedia.org/r/242928

Change 242928 merged by jenkins-bot:
Clarify responsibility for Parsoid/RESTBase errors

https://gerrit.wikimedia.org/r/242928

santhosh closed this task as Resolved.Oct 6 2015, 6:47 AM